<?php
/* Mantenimiento de los registros de la tabla SR_GuiaRemisionH redefinidos por el usaurio */
class SR_GuiaRemisionHDP extends BaseSR_GuiaRemisionHDP
{
    public function limpiar_data_guia()
    {
        $s_Sql = "DELETE FROM SR_GuiaRemisionH WHERE ReferenciaTipo='".$this->getReferenciaTipo()."' AND ReferenciaNumero='".$this->getReferenciaNumero()."';";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
        return true;
    }
    
    public function update_custom()
    {
        $s_SQLQuery = "UPDATE SR_GuiaRemisionH SET ";
        $s_Separator = "";
        if ( !is_null( $this->getEstado() )  )
        {
            $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
            $s_Separator = ", ";
        }
        if ( !is_null( $this->getFechaModificacion() ) )
        {
            $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
            $s_Separator = ", ";
        }
        if ( !is_null( $this->getUsuarioModificacion() ) )
        {
            $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
            $s_Separator = ", ";
        }
        $s_SQLQuery .= " WHERE  MovimientoId = '".$this->getMovimientoId()."';";
        Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        return true;
    }
}
?>